Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1872601

Summary: Review Request: golang-github-vbauerster-mpb-5 - Multi progress bar for Go CLI applications
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-25 01:34:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1872591    
Bug Blocks: 1872571, 1882565    

Description Fabian Affolter 2020-08-26 07:43:44 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-vbauerster-mpb.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-vbauerster-mpb-5.3.0-1.fc32.src.rpm

Project URL: https://github.com/vbauerster/mpb

Description:
Multi progress bar for Go CLI applications.

Koji scratch build:
fails due to missing dependency

rpmlint output:
$ rpmlint golang-github-vbauerster-mpb-5.3.0-1.fc32.src.rpm 
golang-github-vbauerster-mpb.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
golang-github-vbauerster-mpb.src: W: spelling-error Summary(en_US) cli -> cl, clii, clip
golang-github-vbauerster-mpb.src: W: spelling-error %description -l en_US Multi -> Mulch, Mufti
golang-github-vbauerster-mpb.src: W: spelling-error %description -l en_US cli -> cl, clii, clip
golang-github-vbauerster-mpb.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

$ rpmlint golang-github-vbauerster-mpb-devel-5.3.0-1.fc32.noarch.rpm 
golang-github-vbauerster-mpb-devel.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
golang-github-vbauerster-mpb-devel.noarch: W: spelling-error %description -l en_US Multi -> Mulch, Mufti
golang-github-vbauerster-mpb-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/vbauerster/mpb/.goipath
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-08-27 19:05:41 UTC
 - Same as before, use:

%global goipath         github.com/vbauerster/mpb/v5

 - Rename your SPEC and bug to golang-github-vbauerster-mpb-5

Comment 2 Fabian Affolter 2020-09-15 08:43:59 UTC
(In reply to Robert-André Mauchin 🐧 from comment #1)
>  - Same as before, use:
> 
> %global goipath         github.com/vbauerster/mpb/v5
> 
>  - Rename your SPEC and bug to golang-github-vbauerster-mpb-5

Renamed

* Tue Sep 15 2020 Fabian Affolter <mail> - 5.3.0-2
- Rename package and adjust path (rhbz#1872601)


Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-vbauerster-mpb-5.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-vbauerster-mpb-5-5.3.0-2.fc32.src.rpm

Comment 3 Robert-André Mauchin 🐧 2020-11-06 08:02:59 UTC
Package approved.

Comment 4 Gwyn Ciesla 2020-11-09 16:35:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-vbauerster-mpb-5

Comment 5 Fedora Update System 2020-11-16 08:18:18 UTC
FEDORA-2020-a9b2493899 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a9b2493899

Comment 6 Fedora Update System 2020-11-17 02:34:15 UTC
FEDORA-2020-a9b2493899 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-a9b2493899 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a9b2493899

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-25 01:34:57 UTC
FEDORA-2020-a9b2493899 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.